# push

Pushes changes of the scenarios on the local repository to the Jira server. This includes linking of new scenarios to new test cases (link) and updating test cases of linked scenarios (update).

See more details about the command in the [Pushing scenario changes to Test Cases](/specsync/jira/features/push-features/pushing-scenario-changes-to-test-cases.md) article.

## Options

In addition the the options listed here, all [common command line options](/specsync/jira/reference/command-line-reference.md#common-command-line-options) can also be used.

| Option                  | Description                                                                                                                                                                                                                                                                                                                                                     | Default                       |
| ----------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| `--disableLocalChanges` | If specified, only those changes will be performed that do not need any change in the local feature file. Linking new scenarios are skipped. Overrides `synchronization/diableLocalChanges` setting of the configuration file. See [Synchronizing test cases from build](/specsync/jira/important-concepts/synchronizing-test-cases-from-build.md) for details. | local changes enabled         |
| `--filter`              | A [local test case condition](/specsync/jira/features/general-features/local-test-case-conditions.md) of scenarios that should be included in the current synchronization (e.g. `@current_sprint and @done`). See [Filters and scopes](/specsync/jira/important-concepts/filters-and-scopes.md) for details.                                                    | not filtered by tags          |
| `--sourceFileFilter`    | An expression of source file [glob patterns](https://speclink.me/specsync-glob) that should be included in the current synchronization (e.g. `Folder1/**/*.feature`). See [Filters and scopes](/specsync/jira/important-concepts/filters-and-scopes.md) for details.                                                                                            | not filtered by feature files |
| `--linkOnly`            | If specified, the command will link new scenarios to new Test Cases only and the existing Test Cases will not be updated.                                                                                                                                                                                                                                       | false                         |
| `--force`               | If specified, SpecSync update test cases even if there is no local change and the test case was not modified remotely.                                                                                                                                                                                                                                          | false                         |

## Examples

Pushes local changes to Jira using the configured settings in the `specsync.json` configuration file:

```
dotnet specsync push
```

Pushes local changes using the specified [Personal Access Token (PAT)](/specsync/jira/features/general-features/server-authentication-options.md#vsts-personal-access-tokens) for authentication:

```
dotnet specsync push --user 52yny...........................nycsetda
```

Pushes local changes of the scenarios tagged with @ordering and @backend:

```
dotnet specsync push --filter "@ordering and @backend"
```

Pushes local changes of the scenarios in `order.feature`):

```
dotnet specsync push --sourceFileFilter "order.feature"
```

{% content-ref url="/pages/YGXT54k7D3PR01ARt0Jy" %}
[Command line reference](/specsync/jira/reference/command-line-reference.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/command-line-reference/push-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
